GDB (xrefs)

Public Member Functions | Public Attributes | List of all members
string_view Struct Reference

## Public Member Functions
| string_view (const char *str_, size_t len_)

## Public Attributes
const char * | str
size_t | len

## Detailed Description

Definition at line 59 of file cli-script.c.

## Constructor & Destructor Documentation

## ◆ string_view()

string_view::string_view | ( | const char * | str_,
|  | size_t | len_
| ) |  |
| inline

Definition at line 61 of file cli-script.c.

## Member Data Documentation

## ◆ len

size_t string_view::len

Definition at line 66 of file cli-script.c.

## ◆ str

const char* string_view::str

Definition at line 65 of file cli-script.c.

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/cli/cli-script.c